$(document).on("input", "input[id^=foglio_]", function () {
    var foglio = $(this).val();
    if (foglio.length == 0) {
        $("#foglio").addClass("is-invalid");
        $("#errore_foglio").addClass("invalid-feedback");
        $("#errore_foglio").text("Foglio di riferimento dell'immobile obbligatorio.");
    } else if (!reg_foglio.test(foglio)){
        $("#foglio").addClass("is-invalid");
        $("#errore_foglio").addClass("invalid-feedback");
        $("#errore_foglio").text("Foglio di riferimento non valido.");
    } else {
        $("#foglio").removeClass("is-invalid");
        $("#errore_foglio").removeClass("invalid-feedback");
        $("#errore_foglio").text("");
    }
});

$(document).on("input", "input[id^=particelle_]", function () {
    var particella = $(this).val();
    if (particella.length == 0) {
        $("#particella").addClass("is-invalid");
        $("#errore_particella").addClass("invalid-feedback");
        $("#errore_particella").text("Particella di riferimento dell'immobile obbligatoria.");
    } else if (!reg_particella.test(particella)){
        $("#particella").addClass("is-invalid");
        $("#errore_particella").addClass("invalid-feedback");
        $("#errore_particella").text("Particella di riferimento non valida.");
    } else {
        $("#particella").removeClass("is-invalid");
        $("#errore_particella").removeClass("invalid-feedback");
        $("#errore_particella").text("");
    }
});